## org.apache.mahout.df.split
Class Split

    java.lang.Object
      org.apache.mahout.df.split.Split

    public final class Split

extends java.lang.Object

Contains enough information to identify each split

Constructor Summary
`Split(int attr, double ig)`
`Split(int attr, double ig, double split)`

Method Summary
`int` `getAttr()` attribute to split for
`double` `getIg()` Information Gain of the split
`double` `getSplit()` split value for NUMERICAL attributes
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Split

    public Split(int attr,
                 double ig,
                 double split)

### Split

    public Split(int attr,
                 double ig)

Method Detail

### getAttr

    public int getAttr()

  attribute to split for

### getIg

    public double getIg()

  Information Gain of the split

### getSplit

    public double getSplit()

  split value for NUMERICAL attributes

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.